#ifndef KINECTIMAGEPLUGINFACTORY_H__
#define KINECTIMAGEPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class KinectImagePluginFactory : public QObject, public ritk::ImageTypePluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::ImageTypePluginFactory)

public:
	/// Constructor
	KinectImagePluginFactory();
	/// Destructor
	~KinectImagePluginFactory();

	/// Create an instance of the player plugin
	ritk::ImageTypePlugin* CreateInstance();

	/// Return the name of the player plugin
	QString GetName();

	/// Return a short description for this player plugin
	QString GetDescription();
};


#endif // KINECTIMAGEPLUGINFACTORY_H__
